package kr.co.zumo.app.lifeplus.bean.api;

import org.junit.Test;

import static org.junit.Assert.*;

/**
 * AuthConfirmRequestBeanTest
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 10. 5.]   [최초 작성]
 * @since 2018. 10. 5.
 */
public class AuthConfirmRequestBeanTest {

  @Test
  public void setAuthorizationNumber() {
    AuthConfirmRequestBean bean = new AuthConfirmRequestBean();
    bean.setAuthorizationNumber("1111111");

    assertEquals("1111111", bean.getAuthorizationNumber());
    assertEquals(null, bean.getPhoneNumber());
  }

  @Test
  public void setDeviceUuid() {
    AuthConfirmRequestBean bean = new AuthConfirmRequestBean();
    bean.setPhoneNumber("234drgfsd");

    assertEquals(null, bean.getAuthorizationNumber());
    assertEquals("234drgfsd", bean.getPhoneNumber());
  }
}